org.tmatesoft.svn.core.io

## Interface ISVNConnectionListener

- All Known Implementing Classes:
    DefaultSVNRepositoryPool

      public interface ISVNConnectionListener

  The ISVNConnectionListener is an interface for listeners which are invoked by `SVNRepository` when its connection is opened or closed.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionClosed(SVNRepository repository)` Handles connection closed event.
    `void` | `connectionOpened(SVNRepository repository)` Handles connection opened event.

- - ### Method Detail

    - #### connectionOpened

          void connectionOpened(SVNRepository repository)

      Handles connection opened event. This routine is invoked by `repository` on an event when `repository` opens a new network connection.
      Parameters:
        `repository` - repository object

    - #### connectionClosed

          void connectionClosed(SVNRepository repository)

      Handles connection closed event. This routine is invoked by `repository` on an event when `repository` closes an opened network connection.
      Parameters:
        `repository` - repository object